---
draft: false
date: 2020-04-03T08:04:59+02:00
title: "Le confinement et les outils de téléconférence"
description: "Aperçu des outils de téléconférence disponibles en cette période de confinement."
images: ["images/011-title.png"]
tags: ["Informatique", "Visioconférence", "Téléconférence", "Audioconférence"]
categories: ["Informatique"]
externalLink: ""
series: []
---

Pendant cette période de confinement obligatoire,
nous devons apprendre à nous réorganiser.
Que cela soit pour un emploi rémunéré,
pour du bénévolat ou encore simplement pour partager des moments
de plaisir avec d'autres personnes,
[la communication textuelle](#les-outils-de-communication-textuelle),
[audio](#les-outils-de-communication-audio) et
[vidéo](#les-outils-de-communication-vidéo) à distance
sont des moyens qui peuvent devenir nécessaires.

Il convient à chaque groupement de personnes de définir ses besoins,
mais ensuite quelles sont les différences entre les logiciels disponibles?

Dans cet article je me concentrerai sur les applications
typées professionnelles,
donc capables de tenir la charge avec plusieurs protagonistes et
sans prendre compte des fonctionnalités amusantes
(des filtres sur la vidéo).

Pour celles et ceux qui ne désirent pas tout lire,
les deux logiciels qui me semblent être les plus performants
et donc que je recommande sont:

* [Mumble](#mumble--teamspeak) pour la conférence audio
* [BigBlueButton](#bigbluebutton) pour la conférence vidéo

# Les outils de communication textuelle
Les outils uniquement textuels sont les moins attrayants pour la majorité
des utilisateurs et utilisatrices,
mais il ne faut pas oublier que ce sont des outils extrêmement performants
et qui ont fait leurs preuves depuis de nombreuses années.

Ce mode de communication nécessiterait un article précis.
Pour ne pas encombrer celui-ci, je vais uniquement vous conseiller
de vous tourner vers
[IRC](https://fr.wikipedia.org/wiki/Internet_Relay_Chat "Internet Relay Chat")
et les milliers d'articles d'explication déjà disponibles sur Internet.

# Les outils de communication audio
En général, les outils sont cumulatifs.
La grande majorité des logiciels de communication audio contient un
logiciel de communication textuelle, communément appelé un tchat.

Je choisis d'exclure **WhatsApp** car,
bien que pouvant faire des appels vidéo de groupe,
il est limité à quatre personnes uniquement.

## Skype

<span class="logo">

![Logo Skype][skype]

</span>

[Skype][urlSkype] est le logiciel de téléphonie par Internet de Microsoft.
À la base prévu pour faire de la téléphonie uniquement,
il permet actuellement de faire des appels de groupe vocaux jusqu'à 25 personnes.

Il est utilisable sur la majorité des systèmes d'exploitation mais souffre
apparemment de problèmes de latence[^latence]
ainsi que d'une charge importante pour le processeur.
Il nécessite également à chacun·e de créer un compte sur la plateforme
de Microsoft, ce qui pourrait l'exclure de cette liste,
mais son utilisation est tellement répandue que j'en parle quand même ici.

## Mumble / TeamSpeak

<span class="logo">

![Logo Mumble][mumble]
![Logo TeamSpeak][ts]

</span>

Ces deux logiciels, [*Mumble*][urlMumble] et [*TeamSpeak*][urlTS],
nécessitent la configuration d'un serveur,
ce qui implique quelques connaissances informatiques
et de posséder / louer un serveur.
Je me suis permis de les regrouper ici car leur fonctionnement est identique.
La partie technique consiste en la configuration du serveur,
mais une fois faite, l'utilisation est très simple,
il suffit d'installer le client et de se connecter au serveur.
Il est ensuite possible de créer autant d'espaces de discussion que vous
voulez.
Il n'est que limité par la configuration que vous aurez choisie.
Bien évidemment, ces logiciels sont utilisables sur tous les systèmes
d'exploitation principaux.
Leur utilisation a été éprouvée,
*Mumble* datant de 2005 et *TeamSpeak* de 2001.

Après avoir utilisé les deux logiciels,
je conseille d'utiliser *Mumble* qui est un logiciel libre.
Il permet également de s'authentifier avec un certificat ce qui est pratique
et sécurisé.

Ces deux logiciels ne souffrent d'aucun problème de latence[^latence]
et impliquent une très faible charge sur votre processeur.

Ils sont également très facilement configurables,
que ce soit pour régler la gestion de son propre micro ou
augmenter le volume d'un protagoniste.
Il est possible de définir des droits et donc d'avoir de la modération,
ce qui n'est pas un luxe lors de discussions à plusieurs.

Si vous êtes intéressé·e·s à découvrir *Mumble*,
contactez-moi pour tester sur mon serveur.

## Discord

<span class="logo">

![Logo Discord][discord]

</span>

[Discord][urlDiscord] est le petit nouveau, sa première version datant de 2015.

Il est fortement orienté gaming et se comporte de manière semblable à un
réseau social, avec une gestion de contacts
et leur suivi (de leur présence en ligne ou de leur activité).

Il a l'avantage d'avoir, en plus d'une application dédiée,
une application web qui fonctionne donc
sans rien installer sur sa propre machine.
Cette dernière étant cependant moins pratique d'utilisation et
moins configurable.
*Discord* ne souffre apparemment d'aucun problème de latence[^latence].

Pour l'utiliser, il suffit de se créer un compte sur leur site et
de se connecter avec ses ami·e·s,
c'est une solution extrêmement rapide à mettre en place.
Comme pour son concurrent de chez Microsoft,
le fait que tous les protagonistes doivent créer un compte sur la
plateforme pour pouvoir se connecter est potentiellement une raison
de le supprimer de la liste,
mais il est tellement implanté dans le milieu gaming que je le laisse.
Le fait que le côté social soit nécessaire peut être déconseillé
dans le cas où vous désirez communiquer
avec des personnes qui se trouvent en dehors de votre cercle d'ami·e·s
ou que vous n'avez pas prévu de revoir.

## Quelques précisions
*Skype* et *Discord* sont, à mon sens,
plus des réseaux sociaux que de simples outils de communication audio.
Ils permettent d'entrer en contact avec des utilisateurs et utilisatrices
de la plateforme.
Il est possible de savoir en partie ce que ces personnes font et
d'y renseigner son propre statut.

À contrario, *Mumble* et *TeamSpeak* ne proposent aucun suivi des
personnes connectées.
Vous pouvez être sur plusieurs serveurs en même temps sans que personne
n'en ait conscience.

Cette différence fondamentale fait que je préfère de loin conseiller
les services de *Mumble* et *TeamSpeak*.

De plus, pour les quatre options que j'ai détaillées ici,
l'installation d'un client est nécessaire
(sauf pour *Discord* où il est possible de faire sans,
mais si vous voulez profiter de toutes les fonctionnalités alors
il est conseillé de passer par l'application).
Ce n'est donc pas un argument à prendre en compte lors du choix du logiciel.

# Les outils de communication vidéo
Comme précisé précédemment, si l'outil fait de la vidéo,
il comporte un support de l'audio et du texte.

Cette fois, je choisis d'exclure **Skype** car il peut faire des appels vidéo
de groupe mais limité à dix personnes et également limité dans la durée.
De plus, il permet de faire de la vidéoconférence uniquement avec
des autres utilisateurs et utilisatrices du service,
ce qui force à la création d'un compte.

Les fonctionnalités que je juge nécessaires à ce genre d'applications sont
les suivantes:

* la discussion audio et vidéo,
* une discussion textuelle,
* la possibilité de partager son écran, ou des parties de son écran,
* permettre à chacun·e de demander la parole,
* avoir un système de modération.


Je rajoute des fonctionnalités qui me paraissent utiles:

* faire des sondages,
* avoir un tableau blanc,
* diffuser une présentation (et écrire dessus),
* sécuriser l'accès par un mot de passe.


Je n'ai pas connaissance de services ne nécessitant pas de passer
par un serveur pour héberger le système.
Dans ce domaine il y a vraiment énormément de choix,
selon la [page de comparatif Wikipedia][wikiCompa],
il y a une trentaine de prétendants.
Je vais donc m'attarder uniquement sur les quatre logiciels suivants:

* [Nextcloud Talk](#nextcloud-talk)
* [Zoom](#zoom)
* [Jitsi Meet](#jitsi-meet)
* [BigBlueButton](#bigbluebutton)

Je laisse volontairement de côté *Google Hangout* car il impose à tous
et toutes
d'avoir un compte et donc me semble très restrictif pour une utilisation
professionnelle ou scolaire.

## Nextcloud Talk

<span class="logo">

![Logo Nextcloud][nextcloud]

</span>

[Nextcloud][urlNextcloud] est un logiciel libre de site d'hébergement de fichiers.
À la base utilisé uniquement pour cela,
en concurrence avec des solutions propriétaires comme Dropbox,
il contient maintenant plusieurs plugins très intéressants,
dont celui en rapport avec ce billet, *Nextcloud Talk*.
Le principal avantage de cette option est que si vous avez déjà accès à
un serveur Nextcloud,
l'installation du plugin se fait sans encombres et gratuitement,
il suffit de l'activer et cela fonctionne.
Aucun besoin de configuration, on peut directement l'utiliser.

C'est le logiciel le plus basique des quatre.
Il ne remplit pas tout à fait les conditions que j'ai énoncées,
il lui manque un système de demande de parole.
Dans le cas d'une utilisation avec une équipe qui a l'habitude de travailler
ensemble, cela n'est pas forcément un problème,
mais dans le cas d'un cours / formation,
les soucis risquent d'arriver rapidement.

La personne qui initie le salon doit avoir un compte sur la plateforme
Nextcloud.
Il est ensuite possible d'inviter n'importe qui.
Il est également possible d'avoir une sécurité par mot de passe ou
d'ouvrir le salon uniquement sur invitation aux personnes possédant un compte.

Il semble que l'[évolutivité d'un serveur Nextcloud Talk][ncScal],
en grande partie due à l'utilisation de WebRTC[^webrtc]
qui implique beaucoup de connexions simultanées pour le matériel de chaque
participant·e,
peut être problématique pour des discussions à plus de six personnes.
Il en reste que, pour un petit nombre d'utilisateurs et d'utilisatrices,
la solution *Nextcloud Talk* est très simple à mettre en place
même pour une toute petite structure.
Pour des besoins plus conséquents,
il est possible de mieux configurer le système.
La technologie WebRTC est encore jeune, mais elle s'améliore chaque année.

## Zoom

<span class="logo">

![Logo Zoom][zoom]

</span>

[Zoom][urlZoom] est un logiciel de téléconférence complet.
Il répond à tous les critères indispensables que j'ai énumérés et permet
en plus de faire des sondages.
En revanche il ne me semble pas permettre de partager une présentation ou
un tableau blanc.

Avec l'utilisation d'un compte gratuit,
la durée des communications est limitée à 40 minutes
et à 100 participant·e·s[^limitPart].
Il est bien évidemment possible de payer pour augmenter ces limites.

Une fois le salon créé par un utilisateur ou une utilisatrice,
les personnes suivantes n'ont pas besoin d'avoir un compte sur la
plateforme.

Son plus gros défaut est d'appartenir à une entreprise américaine,
et donc de respecter le droit américain qui est beaucoup moins
protecteur des utilisateurs et des utilisatrices.

## Jitsi Meet

<span class="logo">

![Logo Jitsi][jitsi]

</span>

[*Jitsi Meet*][urlJitsi] est également un logiciel dédié à la téléconférence,
mais complètement libre cette fois.
Comme *Zoom*, il remplit parfaitement les critères indispensables.
Il permet également de sécuriser l'accès par un mot de passe.

Il est possible de créer une conférence
[sur le site officiel directement][jMeet],
mais également, comme tout bon logiciel libre,
d'installer son instance sur son propre serveur.  
Pour celles et ceux qui voudraient le tester ou l'utiliser sporadiquement,
Infomaniak a récemment monté sa propre instance,
[Infomaniak Meet][infomaniak].
[Framasoft][framasoft] propose également son instance, [Framatalk][framatalk].
Pour les autres, profitez-en pour mettre en place votre propre instance
seul·e, avec votre entreprise ou votre association.

Aucune création de compte n'est nécessaire pour utiliser *Jitsi Meet*.

## BigBlueButton

<span class="logo">

![Logo BigBlueButton][bbb]

</span>

[*BigBlueButton*][urlBBB] est également un logiciel libre.
C'est le logiciel de téléconférence le plus abouti que je connaisse.
Il permet de faire tout ce que j'ai listé, indispensable ou non.

On peut également très facilement passer le rôle de présentateur
ou présentatrice à une autre personne.
Il contient un tableau blanc qui peut être limité à la personne
qui présente ou partagé.
*BigBlueButton* permet aussi de créer des salles de réunion pour séparer
temporairement les participant·e·s.

Une fonction intéressante que je n'ai pas vue ailleurs est la possibilité
de partager une vidéo,
le contrôle de cette dernière est limitée au présentateur ou
à la présentatrice, ce qui
lui permet de mettre en pause ou de pointer certains moments dans la vidéo
et de les expliquer à tout le monde.

En créant un compte [sur leur site][demoBBB],
il y a moyen de tester avec des réunions non-enregistrables et
limitées à une heure.
Mais comme c'est un logiciel libre,
il est possible d'installer son instance perso sur son propre serveur,
et donc de contrôler complètement les capacités ainsi que le trafic de données.

# La confidentialité et la vie privée
Lors de l'utilisation de n'importe quelle plateforme,
il est important de savoir ce que cette dernière va pouvoir récupérer
comme informations et ce qu'elle en fera.
C'est une chose assez aisée lors de l'utilisation de [logiciels libres][urlLL],
mais c'est vite compliqué de savoir ce que fait un logiciel dont le code
n'est pas connu.
Je ne vais pas m'étendre ici sur les risques encourus,
mais il est toujours bon de savoir qu'il y a des risques de fuites
d'informations privées ou confidentielles lors de l'utilisation de chaque
logiciel et que les logiciels libres sont les seuls qui permettent
d'avoir des garanties à ce niveau-là.
Pour les autres, la parole des développeurs et des développeuses est la
seule chose sur laquelle nous pouvons nous appuyer.

Il y a un autre point sur lequel porter son attention, c'est la
confiance que nous mettons dans le serveur qui héberge notre service.
Par exemple, si j'héberge mon serveur *Mumble* sur une machine qui m'appartient,
ou appartient à une association / société que je connais
et à qui je fais confiance,
j'ai de bonnes raisons de ne pas m'inquiéter.
En revanche, le même serveur *Mumble* hébergé sur la machine de quelqu'un
en qui je n'ai pas confiance peut être utilisé pour espionner ses utilisateurs
et utilisatrices.

C'est pourquoi je conseille **toujours** d'utiliser des logiciels libres
et hébergés chez des personnes de confiance.
Donc exit *Skype*, *Discord*, *TeamSpeak* et *Zoom*,
de part leur nature non-libre
et vive les petites associations locales et les entreprises de confiance.


# Notre empreinte numérique
Une chose à garder à l'esprit est le volume de données nécessaires
pour chacune des technologies.
Sans rentrer dans les détails, voici le poids de différents formats[^poids]:

* 1000 mots au format texte[^lipsum] sans compression, 6.7&#8239;Ko,
	donc en lisant à une vitesse moyenne de 250 mots par minute
	&rArr; 1.5&#8239;Ko par minute,
* 1 minute de message vocal sur une application de messagerie instantanée,
	donc un format très dégradé,
	&rArr; 200&#8239;Ko par minute,
* 1 minute de format audio avec une compression destructrice[^destr]
	&rArr; 1&#8239;Mo par minute,
* 1 minute de format audio avec une compression non-destructrice[^ndestr]
	&rArr; 4&#8239;Mo par minute,
* 1 minute de format audio sans compression
	&rArr; 8&#8239;Mo par minute,
* 1 minute de format vidéo DVD avec un bon algo de compression
	&rArr; 10&#8239;Mo par minute,
* 1 minute de format vidéo HD avec un bon algo de compression
	&rArr; 16&#8239;Mo par minute.

Une comparaison que j'aime bien,
la totalité des articles anglophones de Wikipedia représente environ 15&#8239;Go,
soit l'équivalent d'une dizaine d'heures de vidéos HD sur votre plateforme
de vidéo préférée.
Même en conservant l'historique de modification et les discussions,
le poids de l'encyclopédie est seulement multiplié par dix[^comparaison].

Quelles conclusions pouvons-nous en tirer?
Sachant que plus le volume de données à transmettre est important,
plus la consommation énergétique grimpera.
Faire passer une information textuelle est environ 1&#8239;000 fois plus
économique qu'une information audio,
et 10&#8239;000 fois plus économique qu'une information vidéo.
À nous de savoir si les informations supplémentaires contenues
dans l'audio et/ou la vidéo sont pertinentes ou non.
Pensez-y la prochaine fois que vous enverrez un message vocal
avec votre application de messagerie instantanée préférée...

# La charge sur les serveurs
Comme tous les services,
la téléconférence n'est pas gratuite en termes de consommation de ressources
informatiques.
Les gros serveurs (Google, Microsoft, Zoom, etc.) ont les épaules pour
tenir des centaines de salons, des milliers d'utilisateurs et d'utilisatrices.
Ce n'est pas le cas de tout le monde et ça a un coût.
Ce coût est répercuté sur les utilisateurs et les utilisatrices,
soit par des abonnements (ce qu'il faudrait faire),
soit par de la pub (ce qui est questionnable),
soit en vendant des informations personnelles (ce qu'il ne faut pas faire).

Les associations comme *Framasoft* ne peuvent pas absorber la charge
générée des changements d'habitudes ou de besoins en raison
de crises comme celle du COVID-19,
c'est pourquoi il est important de monter ses propres instances,
de s'organiser en association et
de rémunérer correctement les fournisseurs qui font un travail de dingue pour
rendre ces outils accessibles.
Nous avons tendance à croire que tout est gratuit sur Internet,
c'est un mythe, il nous faut réapprendre à payer pour des services
que nous ne sommes pas capables de mettre en place.

D'ailleurs, il n'y a pas que l'hébergement qui a un coût.
Le développement de ces solutions n'est pas magique,
n'hésitez pas à soutenir financièrement les personnes qui passent
leurs journées, soirées et weekends à développer des logiciels
qui vous sont bien utiles.

Et pour terminer en faisant écho au chapitre précédent,
il est bon de réfléchir à la pertinence de diffuser de la vidéo ou non.
Dans le cas où la vidéo à diffuser n'est pas nécessaire à la discussion,
l'activer risque fort de surcharger les serveurs et donc implique
des coûts de gestion supplémentaires.
Dans une période de crise écologique,
nous nous devons de raisonner notre consommation.
Si vous n'avez pas besoin de vidéo, utilisez un logiciel d'audioconférence ou
désactivez la vidéo sur votre logiciel de vidéoconférence.

[^lipsum]: Générés par [Lorem Ipsum](https://www.lipsum.com),
	une suite de mots sans signification utilisée pour calibrer une mise en page.
[^destr]: La compression destructrice est utilisée entre autres par les formats
	*mp3* et *ogg*. Elle supprime une partie des informations jugées pas ou peu
	pertinentes pour l'oreille humaine.
[^ndestr]: La compression non-destructrice ne supprime aucune information.
	Dans le monde audio il y a les formats *flac* et *alac* par exemple.
	Le format *zip* est un format non-destructeur, une fois l'archive
	décompressée, tous les documents s'y trouvant sont retrouvés intacts.
[^poids]: Les outils de compression sont extrêmement dépendants du fichier
	source, les poids donnés ici sont uniquement indicatifs.
[^comparaison]: On peut voir ici également l'effet de la compression
	sur du texte, la totalité de Wikipedia,
	articles et suivi des modifications inclus,
	en date du 2 juin 2015, représentait environ 100&#8239;Go alors
	que la version non-compressée représente 10&#8239;To, à savoir 100 fois plus.
	[Source Wikipedia][wikiSize]
[^limitPart]: La limitation du nombre de participant·e·s me paraît largement
	suffisante. Le but est d'avoir des interactions, à plus de 100 personnes
	cela commence à devenir difficile.
[^latence]: Dans une communication audio, la latence est le temps entre
	le moment où vous parlez et le moment où les autres personnes
	entendent ce que vous avez dit.
	En général, on considère qu'il faut une latence de moins de 300&#8239;ms pour
	que la communication soit confortable,
	et au-delà de 700&#8239;ms cela devient inutilisable.
[^webrtc]: Le but du WebRTC est de lier des applications comme la voix sur IP,
	le partage de fichiers en pair à pair.
	[Source Wikipedia][wikiRTC]

[urlSkype]: https://www.skype.com/ "Website de Skype"
[urlMumble]: https://www.mumble.com/ "Website de Mumble"
[urlTS]: https://teamspeak.com/ "Website de TeamSpeak"
[urlDiscord]: https://discordapp.com/ "Website de Discord"
[urlZoom]: https://www.zoom.us/ "Website de Zoom"
[urlJitsi]: https://jitsi.org/ "Website de Jitsi"
[urlBBB]: https://bigbluebutton.org/ "Website de BigBlueButton"
[urlNextcloud]: https://nextcloud.com/ "Website de Nextcloud"
[urlLL]: https://fr.wikipedia.org/wiki/Logiciel_libre
	"Wikipedia - Logiciel libre"
[framasoft]: https://framasoft.org "Website de Framasoft"
[framatalk]: https://framatalk.org "Website de Framatalk"
[infomaniak]: https://meet.infomaniak.com "Website d'Infomaniak Meet"
[jMeet]: https://meet.jit.si/ "Website de démo de Jitsi Meet"
[demoBBB]: https://demo.bigbluebutton.org/gl/ "Website de démo de BigBlueButton"
[ncScal]: https://nextcloud.com/talk/#scalability
	"[EN] Point sur l'évolutivité de Nextcloud"

[wikiSize]: https://en.wikipedia.org/wiki/Wikipedia:Size_of_Wikipedia#Size_of_the_English_Wikipedia_database
	"[EN]La taille de Wikipedia"
[wikiCompa]: https://en.wikipedia.org/wiki/Comparison_of_web_conferencing_software
	"[EN]Page de comparatif des logiciels de conférence web Wikipedia"
[wikiRTC]: https://fr.wikipedia.org/wiki/WebRTC
	"Site Wikipedia sur la technologie WebRTC"

[skype]: /images/011-skype.svg "Logo de Skype"
[mumble]: /images/011-mumble.svg "Logo de Mumble"
[ts]: /images/011-teamspeak.svg "Logo de TeamSpeak"
[discord]: /images/011-discord.svg "Logo de Discord"
[zoom]: /images/011-zoom.svg "Logo de Zoom"
[jitsi]: /images/011-jitsi.svg "Logo de Jitsi"
[bbb]: /images/011-bigbluebutton.png "Logo de BigBlueButton"
[nextcloud]: /images/011-nextcloud.svg "Logo de Nextcloud"
